# Interface methods for submodule: ImageRegionSplitterBase
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: ImageRegionSplitterBase
class ImageRegionSplitterBaseProxy(_ObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	def GetNumberOfSplits(self, region, requestedNumber: int) -> int:
		""""""
		...

	def GetSplit(self, i: int, numberOfPieces: int, region) -> int:
		""""""
		...

